# sdkman

sdkman 构建项目，国内下载很慢。使用的是 api.sdkman.io 接口，想办法修改回国内源。

```
https://api.sdkman.io/2/broker/download/java/8.0.422-amzn/linux-x64
```

## Usage


```
#  安装
SDKMAN_CANDIDATES_DIR="$HOME/.sdkman/candidates"
SDKMAN_SDKS_DIR="$HOME/.sdkman/sdk"
SDKMAN_MIRROR="https://maven.aliyun.com/repository/public"
export SDKMAN_CANDIDATES_API="https://api.sdkman.io/2"

curl -s "https://get.sdkman.io" | bash
source "$HOME/.sdkman/bin/sdkman-init.sh

# echo source "$HOME/.sdkman/bin/sdkman-init.sh"

sdk list java
sdk install java 11.0.2.hs-adpt
sdk default java 11.0.2.hs-adpt
sdk uninstall java


```


## Develop

gradle 插件项目
```
./gradlew -Penv=stable clean assemble
```

## Reference

https://github.com/sdkman/sdkman-cli

